import { jsx as _jsx } from "react/jsx-runtime";
import React from "react";
import ReactDOM from "react-dom/client";
import { BrowserRouter, useRoutes } from "react-router-dom";
// @ts-expect-error: Need to build declarations for virtual modules
import { pages } from "virtual:vite-plugin-blog:router";
export default function BlogRoutes() {
    const routes = [];
    for (const url in pages) {
        const Element = React.lazy(pages[url]);
        routes.push({
            path: url,
            element: (_jsx(React.Suspense, { children: _jsx(Element, {}) })),
        });
    }
    return useRoutes(routes);
}
ReactDOM.createRoot(document.getElementById("root")).render(_jsx(BrowserRouter, { children: _jsx(BlogRoutes, {}) }));
