import { jsx as _jsx } from "react/jsx-runtime";
import React from "react";
import ReactDOM from "react-dom/client";
// @ts-expect-error: Need to build declarations for virtual modules
import { pages } from "virtual:vite-plugin-blog:router";
export default function Page(url) {
    const Element = React.lazy(pages[url]);
    return (_jsx(React.Suspense, { children: _jsx(Element, {}) }));
}
ReactDOM.createRoot(document.getElementById("root")).render(Page(window.location.pathname));
